Update Shared Subnet

Update Shared Subnet
Update a Shared Subnet

Updates a specific Shared Subnet.

Request
URI
PUT
https://{api_host}/cloudapi/v1/sharedSubnets/{sharedSubnetId}
COPY
Path Parameters
string
sharedSubnetId
Required

sharedSubnetId


Request Body
SharedSubnet of type(s) application/json
Optional
{
    "status": "string",
    "id": "urn:vcloud:sharedSubnet:xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
    "name": "string",
    "description": "string",
    "subnetType": "string",
    "vlanId": 0,
    "gatewayCidr": "10.10.10.1/24",
    "regionRef": {
        "name": "string",
        "id": "string"
    },
    "ipSpaceRef": {
        "name": "string",
        "id": "string"
    },
    "backingId": "string"
}
Authentication
This operation uses the following authentication methods.
Responses
202

The request have been accepted and the task to monitor the request is in the Location header.

Operation doesn't return any data structure

Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"gatewayCidr":"string","name":"string","regionRef":"object","vlanId":"integer"}' https://{api_host}/cloudapi/v1/sharedSubnets/{sharedSubnetId}